import 'package:base_app/res/index.dart';
import 'package:base_app/ui/pages/demo/iconPage/sample_icon_page.dart';
import 'package:base_app/ui/pages/main_left_page.dart';
import 'package:base_app/ui/widgets/common/button/large_button_widget.dart';
import 'package:base_app/utils/util_index.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

/// 简洁主页面
class SimplePage extends StatelessWidget {
  final String labelId;

  const SimplePage({Key key, this.labelId}) : super(key: key); // 页面的labelId

  @override
  Widget build(BuildContext context) {
    // 系统设置
    Widget systemSettingSection = new LargeButton(
        text: 'icon示例',
        iconPath: "",
        onTap: () {
          NavigatorUtil.pushPage(context, new SampleIconPage());
        });
    // 全局
    return new SingleChildScrollView(
      physics: BouncingScrollPhysics(),
      child: new Column(
        children: <Widget>[
          Gaps.vGap15,
          systemSettingSection,
        ],
      ),
    );
  }
}
